# SRC/zdiagonal.c File Reference

Auxiliary routines to work with diagonal elements. More...

`#include "slu_zdefs.h"`

## Functions
int | zfill_diag (int n, NCformat *Astore)
int | zdominate (int n, NCformat *Astore)

## Detailed Description

     -- SuperLU routine (version 4.0) --
     Lawrence Berkeley National Laboratory
     June 30, 2009

## Function Documentation

int zdominate | ( | int | n,
|  | NCformat * | Astore |
| ) |  |  |

int zfill_diag | ( | int | n,
|  | NCformat * | Astore |
| ) |  |  |